Subject: Re: Automation
From: Priyanka Irudhyanathan <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 02 Apr 2020 07:55:44 +0000 (UTC)

Hi Saurab,  ​   It was indeed a pleasure talking to you as well. ​ I have this checked against your request from my internal team and we see that we we would not be able to fetch the ticket history from our backend however I have found a way out to fetch the ticket activities export. ​ Please refer to this link that helps you fetch the ticket activities. ​ I hope this will help you.      Check your ticket status - https://support.freshdesk.com/support/tickets/6118162  ​       Regards,  Priyanka Irudhyanathan,  Freshdesk Support.     *My working hours are from 9.00 AM to 6.PM IST (Monday - Friday).   Alternatively, you can contact our 24/5 support at +1 866 832 3090*     
             
              On
              Thu, 2 Apr at 12:46 PM
              ,  Saurabh Dadu <[email-masked]>  wrote:
               
Hi Priyanka, 

 
 
It was a pleasure speaking with you on Zoom. Do you think this may help us export? 

 
 
https://support.freshdesk.com/support/solutions/articles/226460-export-ticket-activities-from-your-helpdesk 

 

 
 Saurabh Dadu
 LiveSalesman 
 India: +91 120 4332621 x 17 
 US: 1 240 949 2437 
 Cell: +91 9810175203 

 

  
  
 From: Saurabh Dadu <[email-masked]> 
Sent: 02 April 2020 12:41 PM 
To: [email-masked] <[email-masked]>; Priyanka Irudhyanathan <[email-masked]> 
Subject: Re: Automation

 
 
Hi Priyanka, 

 
 
Please see attach exported tickets. 

 

 Saurabh Dadu
 LiveSalesman 
 India: +91 120 4332621 x 17 
 US: 1 240 949 2437 
 Cell: +91 9810175203 

 

 
From: Priyanka Irudhyanathan <[email-masked]> 
Sent: 02 April 2020 10:51 AM 
To: [email-masked] <[email-masked]> 
Cc: Saurabh Dadu <[email-masked]> 
Subject: Re: Automation

 

 

 Hi Seeta, 
 
​ 
 
 ​Thank you for the time on Chat today! 
 
​ 

​As mentioned we can have a call scheduled at 12 pm IST  
​Here is the meeting ID for the call 
https://freshworks.zoom.us/j/963897107 

  

Check your ticket status - https://support.freshdesk.com/support/tickets/6118162

​ 

 

 

 Regards, 
 Priyanka Irudhyanathan, 
 Freshdesk Support. 

 
*My working hours are from 9.00
 AM to 6.PM IST (Monday - Friday).   
 Alternatively, you can contact our 24/5 support at +1 866 832 3090*  

 On Thu, 2 Apr at 10:30 AM 
, Seeta Seeta <[email-masked]> wrote:

 

 
 
 Seeta Kunwar 

 
 Hi - Need help 
 
 09:11 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 I ran an automation rule, which had a mistake, I mistakenly selected apply ANY instead of apply all 
 
 09:11 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 and this closed several hundred tickets 
 
 09:12 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 actually thousands 
 
 09:12 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 I need to know is there a way to undo in mass? 
 
 09:12 AM, 02nd Apr 

 

Priyanka 

 Hi Seeta, 
 
 09:13 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 Hi Priyanka 
 
 09:13 AM, 02nd Apr 

 

Priyanka 

 Can you help me with the automation rule? 
 
 09:15 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 https://landmarkgroupservice.freshdesk.com/a/admin/automations/time_triggers/2043001914673/edit 
 
 09:16 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 This was set to ANY 
 
 09:16 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 and not all 
 
 09:16 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 so you see some 27000 tickets got affected 
 
 09:16 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 I need to reverse all these 27000 to what they were before the action 
 
 09:16 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 else I may loose my job 
 
 09:16 AM, 02nd Apr 

 

Priyanka 

 Let me check can you please share a screenshot of the rule? 
 
 09:18 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 

 09:19 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 

 09:19 AM, 02nd Apr 

 

Priyanka 

 Can you please help me with the complete automation? 
 
 09:21 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 

 09:22 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 This is complete 
 
 09:22 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 Just that here you see AND, but it was OR before 
 
 09:22 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 it was an OR condition and not AND 
 
 09:22 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 I just changed it to AND to stop more tickets 
 
 09:22 AM, 02nd Apr 

 

Priyanka 

 So now, it was changed to the original settings already right? 
 
 09:25 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 I mean - it is now changed to AND 
 
 09:26 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 but I had mistakenly set it to OR 
 
 09:26 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 and it had affected over 27000 tickets 
 
 09:26 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 so I need all those 27000 tickets which were affected to be reverted to what they were 
 
 09:26 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 basically undo an action 
 
 09:27 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 undo the execution of this rule 
 
 09:27 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 as this has closed 27000+ cases 
 
 09:27 AM, 02nd Apr 

 

Priyanka 

 I definitely understand that , let me check it with my internal team , if this is possible 
 
 09:29 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 ok 
 
 09:29 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 Any success? 
 
 09:37 AM, 02nd Apr 

 

Priyanka 

 Getting it checked, please allow me some time. 
 
 09:37 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 ok 
 
 09:37 AM, 02nd Apr 

 

Priyanka 

 thanks 
 
 09:40 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 Just incase we disconnect - can you please call us at +91 9810175203, ask for Saurabh 
 
 09:51 AM, 02nd Apr 

 

Priyanka 

 Sorry for the delay 
 
 09:51 AM, 02nd Apr 

 

Priyanka 

 Can you tell me what is the original status set on this ticket 
 
 09:51 AM, 02nd Apr 

 

Priyanka 

 before this rule ran? 
 
 09:52 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 Thats the challenge, because the rule was suppose to run ONLY on Waiting on Customer status, HOWEVER since the condition was not "AND" but "ANY", it ran on all status 
 
 09:52 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 new, open, pending, waiting etc. 
 
 09:53 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 everything 
 
 09:53 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 the time condition was to run on tickets that are waiting on customer more than hour, but that time condition it appears was ignored. it didn't consider that time condition 
 
 09:54 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 many of those could have been resolved to moved to closed 
 
 09:56 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 since this rule ran around midnight india time (thats when I apparently created it 
 
 09:57 AM, 02nd Apr 

 

Priyanka 

 Alright 
 
 09:57 AM, 02nd Apr 

 

Priyanka 

 So we can reopen all the tickets provided we require all the ticket ID to check with my engineering team 
 
 10:01 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 can you somehow download a CSV of all the tickets that were executed by this rule? 
 
 10:01 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 since you can see a count, there must be a database of all ticket numbers that were affected by this rule 
 
 10:02 AM, 02nd Apr 

 

Priyanka 

 I am afraid not I would not be able to download since I am unaware of the tickets 
 
 10:02 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 is there a way I can download 
 
 10:02 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 as I see there are 27000 tickets 
 
 10:02 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 one easy way would be all tickets that were closed between when the rule was created and now? 
 
 10:03 AM, 02nd Apr 

 

Priyanka 

 Yes 
 
 10:03 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 can you check in your logs when was the rule created exactly 
 
 10:03 AM, 02nd Apr 

 

Priyanka 

 Filter them on the ticket list view itself and set the status as been closed and date today and generate the export 
 
 10:04 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 but I am in India time 
 
 10:04 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 this runs UAE time 
 
 10:04 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 there is an hour of time difference 
 
 10:04 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 Is there a way to put in time as a filter as well 
 
 10:06 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 so say after 10 pm UAE time till 7am UAE time 
 
 10:06 AM, 02nd Apr 

 

Priyanka 

 You can filter the tickets from ticket list view for the closed tickets with today date and trigger the export 
 
 10:08 AM, 02nd Apr 

 

Priyanka 

 Since it was done today itself the we can exclude time here 
 
 10:08 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 there is no filter for closed today 
 
 10:11 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 it has when they were created 
 
 10:12 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 not when they were closed 
 
 10:12 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 is there a phone number where i can call you? 
 
 10:16 AM, 02nd Apr 

 

Priyanka 

 You can open the ticket on which the rule executed and check the time of the rule been executed 
 
 10:17 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 yes 
 
 10:19 AM, 02nd Apr 

 

Priyanka 

 You can reach out to our support numbers but you will reach a different agent , calls are scheduled well in advance now since I am held up with multiple chats I would not be able to schedule it right away 
 
 10:19 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 Can you share with me URL string with date and time filyter 
 
 10:19 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 I know - so I need after 10pm UAE time on 1 April and before 7am UAE time on 2nd April 
 
 10:20 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 I understand you are in several chats, is it possible we set up a call in 30 mins or an hour? 
 
 10:25 AM, 02nd Apr 

 

Priyanka 

 Can we call scheduled by 12pm Today? 
 
 10:26 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 ok lets do that, though its a little later than i expected 
 
 10:27 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 but cool 
 
 10:27 AM, 02nd Apr 

 

Priyanka 

 Thanks 
 
 10:27 AM, 02nd Apr 

 

Priyanka 

 I will have this chat converted to a ticket and let me drop you an email with the meeting ID for the call 
 
 10:27 AM, 02nd Apr 

 

Priyanka 

 I will have this chat resolved for now 
 
 10:27 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 can you please CC [email-masked] 
 
 10:28 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 and will you call me on my phone? +91 98101 75203 
 
 10:28 AM, 02nd Apr 

 

Priyanka 

 Sure 
 
 10:29 AM, 02nd Apr 

 
 
 Seeta Kunwar 

 
 thanks 
 
 10:29 AM, 02nd Apr 

 

Priyanka 

 I will send you a zoom meeting invite and we can get over the call 
 
 10:29 AM, 02nd Apr 

 

 

 View conversation in

Freshchat